### Function

# Gegl Rectanglenew

#### Declaration [src]

    GeglRectangle*
    gegl_rectangle_new (
      gint x,
      gint y,
      guint width,
      guint height
    )

#### Description [src]

Creates a new rectangle set with the values from `x`, `y`, `width` and `height`.

#### Parameters

`x`

  Type: `gint`

  Upper left x coordinate.

`y`

  Type: `gint`

  Upper left y coordinate.

`width`

  Type: `guint`

  Width in pixels.

`height`

  Type: `guint`

  Height in pixels.

#### Return value

Type: `GeglRectangle`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.